<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

define('AKEEBA_ATS_CRON_CALLED_FROM_LEGACY', 1);

require_once 'ats-cron.php';

/**
 * Akeeba Ticket System auto-reply CLI app
 */
class ATSAutoreplyApp extends ATSCron
{
	/**
	 * The main entry point of the application
	 */
	public function doExecute()
	{
		$this->out('Akeeba Ticket System -- Autoreply script');
		$this->out('Copyright 2011-' . gmdate('Y') . ' Akeeba Ltd');
		$this->out(str_repeat('=', 79));
		$this->out();

		global $argv;
		$this->out(str_repeat('~', 79));
		$this->out('ATTENTION!');
		$this->out(str_repeat('~', 79));
		$this->out();
		$this->out('This script has been deprecated. Instead you need to use the ats-cron.php');
		$this->out('script e.g.');
		$this->out();
		$this->out(PHP_BINARY . ' ats-cron.php --command=autoreply');
		$this->out();
		$this->out('You will also need to enable the "Akeeba Ticket System - Automatic Replies"');
		$this->out('plugin and set its CRON option to Yes.');
		$this->out();
		$this->out('For a limited amount of time this script will call ats-cron.php for you');
		$this->out('automatically, preserving compatibility with previous versions of Akeeba');
		$this->out('Ticket System. Eventually it will be removed, meaning you need to make the');
		$this->out('aforementioned change sooner rather than later.');
		$this->out(str_repeat('~', 79));
		$this->out();

		$this->input->set('command', 'autoreply');
		$this->input->set('verbose', '1');

		parent::doExecute();
	}
}

FOFApplicationCLI::getInstance('ATSAutoreplyApp')->execute();
