<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Admin\CustomField;

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Model\CustomFields;
use Joomla\CMS\Language\Text as JText;

/**
 * A radio selection list field
 *
 * @author Nicholas K. Dionysopoulos
 */
class Radio extends Dropdown
{
	public function __construct(array $config = [])
	{
		parent::__construct($config);

		$this->input_type = 'radio';
	}

	public function getDisplay(CustomFields $item, $value)
	{
		// Let's quote the expression and escape the / char, since it could be used as value
		$regex_value = str_replace('/', '\/', preg_quote($value));

		//Use of non-capturing group: end of line OR new line
		preg_match('/' . $regex_value . '=(.*?)(?:$|\n)/i', $item->options, $matches);

		if (isset($matches[1]))
		{
			return JText::_(trim($matches[1]));
		}

		return '';
	}

}
