<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Admin\Dispatcher\Mixin;

defined('_JEXEC') or die;

use FOF40\Container\Container;

trait CommonJavascript
{
	/**
	 * Loads the common JavaScript for the component
	 *
	 * @since   3.4.0
	 */
	protected function loadCommonJavaScript()
	{
		/** @var Container $container */
		$container = $this->container;

		$format = $container->input->get('format', 'html');

		if ($format !== 'html')
		{
			return;
		}

		$container->template->addJS('media://com_ats/js/CommonEvents.min.js', true, false, $container->mediaVersion);
	}

}