<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Admin\Dispatcher\Mixin;

defined('_JEXEC') or die;

use FOF40\Container\Container;

trait Emoji
{
	private static $loadedTwemoji = false;

	/**
	 * Uses Twemoji library to convert an ISO country code to an emoji flag. This is required for browsers that are not
	 * supporting the Unicode method (namely any Chrome-based browser)
	 *
	 * @since   3.2.0
	 */
	protected function loadTwemoji()
	{
		if (static::$loadedTwemoji)
		{
			return;
		}

		static::$loadedTwemoji = true;

		/** @var Container $container */
		$container = $this->container;

		$format = $container->input->get('format', 'html');

		if ($format !== 'html')
		{
			return;
		}

		$container->template->addJS('https://twemoji.maxcdn.com/v/latest/twemoji.min.js', true);
		$container->template->addJS('media://com_ats/js/Emoji.min.js', true, false, $container->mediaVersion);
	}
}