<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Admin\Model;

defined('_JEXEC') or die;

use FOF40\Container\Container;

class EmailTemplates extends DefaultDataModel
{
	public function __construct(Container $container, array $config = [])
	{
		parent::__construct($container, $config);

		$this->addBehaviour('Filters');
	}

	public function check()
	{
		$this->assertNotEmpty($this->key, 'COM_ATS_EMAILTEMPLATES_ERR_KEY');

		parent::check();
	}

	/**
	 * Get template key from an id
	 *
	 * @param   int  $id  Template ID
	 *
	 * @return  string Template key
	 */
	public function getKey($id)
	{
		$container = Container::getInstance('com_ats');
		$db        = $container->db;

		$query = $db->getQuery(true)
			->select($db->qn('key'))
			->from('#__ats_emailtemplates')
			->where('ats_emailtemplate_id = ' . $id);

		return $db->setQuery($query)->loadResult();
	}
}
