<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Admin\Model;

defined('_JEXEC') or die;

use FOF40\Container\Container;

/**
 * @property	int		$ats_offlineschedule_id
 * @property	string	$title
 * @property	string	$timestart
 * @property	string	$timeend
 * @property	string	$weekdays
 * @property	string	$days
 * @property	string	$months
 * @property	string	$years
 * @property	int		$notickets
 * @property	int		$noreplies
 */
class OfflineSchedules extends DefaultDataModel
{
    public function __construct(Container $container, array $config = array())
    {
        parent::__construct($container, $config);

        $this->addBehaviour('Filters');

        $this->addSkipCheckField('ordering');
    }

    protected function setWeekdaysAttribute($value)
    {
        return $this->setAttributeForImplodedArray($value);
    }

    protected function getWeekdaysAttribute($value)
    {
        return $this->getAttributeForImplodedArray($value);
    }

    protected function setDaysAttribute($value)
    {
        return $this->setAttributeForImplodedArray($value);
    }

    protected function getDaysAttribute($value)
    {
        return $this->getAttributeForImplodedArray($value);
    }

    protected function setMonthsAttribute($value)
    {
        return $this->setAttributeForImplodedArray($value);
    }

    protected function getMonthsAttribute($value)
    {
        return $this->getAttributeForImplodedArray($value);
    }

    protected function setYearsAttribute($value)
    {
        return $this->setAttributeForImplodedArray($value);
    }

    protected function getYearsAttribute($value)
    {
        return $this->getAttributeForImplodedArray($value);
    }
}
