<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Admin\Model;

defined('_JEXEC') or die;

use FOF40\Container\Container;

class PostStatistics extends Posts
{
	public function __construct(Container $container, array $config = [])
	{
		parent::__construct($container, $config);

		$this->addBehaviour('filters');
	}

	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();

		$query = parent::buildQuery($overrideLimits);

		if ($this->getState('groupbydate') == 1)
		{
			$query->clear('select');
			$query->clear('order');

			$query->select([
				$db->qn('ats_post_id'),
				'DATE(' . $db->qn('created_on') . ') AS ' . $db->qn('date'),
				'COUNT(' . $db->qn('ats_post_id') . ') AS ' . $db->qn('posts'),
			]);

			$query->group($db->qn('date'));

			$this->knownFields = [];

			$this->addKnownField('date');
			$this->addKnownField('posts');

			$this->idFieldName = 'date';
		}

		return $query;
	}
}
