<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Admin\View\TimeCards;

use Joomla\CMS\Language\Text;

defined('_JEXEC') or die;

class Html extends \FOF40\View\DataView\Html
{
	protected function onBeforeBrowse($tpl = null)
	{
		$container = $this->container;
		$container->template->addJS('https://cdn.jsdelivr.net/npm/chart.js@3.2.1/dist/chart.min.js', true);
		$container->template->addJS('https://cdn.jsdelivr.net/npm/moment@2.27.0', true);
		$container->template->addJS('https://cdn.jsdelivr.net/npm/chartjs-adapter-moment@0.1.1', true);
		$container->template->addJS('media://com_ats/js/TimeCards.min.js', true, false, $container->mediaVersion);

		Text::script('COM_ATS_COMMON_HOURS');
		Text::script('COM_ATS_COMMON_SUPPORT_STAFF');

        // We don't have to fetch any data in the browse view
		return true;
	}
}
