<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\ToolbarHelper;

/**
 * This class is required by Joomla's com_categories.
 *
 * @see CategoriesHelper::addSubmenu()
 */
class AtsHelper
{
	public static function addSubmenu($vName)
	{
		ToolbarHelper::title(
			Text::sprintf('COM_CATEGORIES_CATEGORIES_TITLE', Text::_('COM_ATS')),
			'ats-categories');

		// Joomla layout doesn't support dropdowns, so we just display a link back to our component
		JHtmlSidebar::addEntry(Text::_('COM_ATS_TITLE_CPANEL'), 'index.php?option=com_ats');
		JHtmlSidebar::addEntry(Text::_('COM_ATS_SUBMENU_CATEGORIES'),
			'index.php?option=com_categories&extension=com_ats');
	}
}
