<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use FOF40\Container\Container;
use Joomla\CMS\Form\FormField;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

class JFormFieldAtscats extends FormField
{
	public function __construct($form = null)
	{
		if (!defined('FOF40_INCLUDED'))
		{
			include_once(JPATH_LIBRARIES . '/fof40/include.php');
		}

		// Let's build the container so it will register our extension in the autoloader
		Container::getInstance('com_ats');

		parent::__construct($form);
	}


	public function getInput()
	{
		$container = FOF40\Container\Container::getInstance('com_ats');

		$options   = [];
		$options[] = HTMLHelper::_('select.option', '0', Text::_('COM_ATS_CONFIG_DEFAULTCAT_MSG'));

		/** @var \Akeeba\TicketSystem\Admin\Model\Categories $catModel */
		$catModel   = $container->factory->model('Categories')->tmpInstance();
		$categories = $catModel->ignoreUser(1)->get(true);

		foreach ($categories as $item)
		{
			$title = $item->title;

			if ($item->level > 1)
			{
				$title = str_repeat('–', $item->level - 1) . ' ' . $title;
			}

			$options[] = HTMLHelper::_('select.option', $item->id, $title);
		}

		return HTMLHelper::_('select.genericlist', $options, $this->name, 'class="inputbox"', 'value', 'text', $this->value, $this->id);
	}
}
