<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use FOF40\Container\Container;
use Joomla\CMS\Form\FormField;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

class JFormFieldAtsmanagerlist extends FormField
{
	public function __construct($form = null)
	{
		if (!defined('FOF40_INCLUDED'))
		{
			include_once(JPATH_LIBRARIES . '/fof40/include.php');
		}

		// Let's build the container so it will register our extension in the autoloader
		Container::getInstance('com_ats');

		parent::__construct($form);
	}


	public function getInput()
	{
		$html  = '<div style="float:left;width:300px">';
		$catid = $this->form->getValue('id');

		$all[]    = HTMLHelper::_('select.option', 'all', Text::_('COM_ATS_CATEGORY_ALL_MANAGERS'), 'id', 'name');
		$managers = \Akeeba\TicketSystem\Admin\Helper\Permissions::getManagers($catid);
		$options  = array_merge($all, $managers);

		if (!$catid && !isset($this->element['hidetip']))
		{
			$html .= '<div style="font-weight:bold">' . Text::_('COM_ATS_CATEGORY_NOTIFY_MANAGERS_SAVEBEFORE') . '</div>';
		}

		$html .= HTMLHelper::_('select.genericlist', $options, $this->name . '[]', 'class="inputbox" multiple="multiple" size="5"', 'id', 'name', $this->value, $this->id);
		$html .= '</div>';

		return $html;
	}
}
