<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Select;

/** @var \Akeeba\TicketSystem\Admin\Model\Buckets $item */
$item = $this->getItem();
?>
@extends('any:lib_fof40/Common/edit')

@section('edit-form-body')
<div class="akeeba-container--50-50">
    <div>
        <div class="akeeba-form-group">
            <label for="title">@lang('COM_ATS_BUCKETS_HEADING_TITLE') *</label>

            <input type="text" name="title" id="title" value="{{{ $item->title }}}" />
        </div>

        <div class="akeeba-form-group">
            <label for="descr">@lang('COM_ATS_BUCKETS_HEADING_STATUS')</label>

            {{ Select::ticketstatuses($item->status, 'status', '', 'bucket_status') }}
        </div>

        <div class="akeeba-form-group">
            <label for="enabled">@lang('JPUBLISHED')</label>

            @jhtml('FEFHelp.select.booleanswitch', 'enabled', $item->enabled)
        </div>
    </div>
</div>
@stop

@section('edit-page-bottom')
    @include('admin:com_ats/Buckets/tickets', ['model' => $this->getModel()])
@stop