<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

namespace Akeeba\TicketSystem\Admin\Layouts\Bucket;

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Editor;
use Akeeba\TicketSystem\Admin\Helper\Format;
use Akeeba\TicketSystem\Admin\Helper\Html;
use FOF40\Date\Date;
use Joomla\CMS\User\User as JUser;
use Joomla\CMS\Language\Text;

/** @var \FOF40\View\DataView\Html $this */

/** @var $model \Akeeba\TicketSystem\Admin\Model\Buckets */
if(!($tickets = $model->tickets))
{
    echo '<div class="akeeba-block--info">'.Text::_('COM_ATS_BUCKETS_NO_TICKETS_INFO').'</div>';
    return;
}

?>
<div>
    <div class="akeeba-tabs">
        <label for="ats_bucket_reply" class="active">@lang('COM_ATS_POSTS_HEADING_REPLYAREA')</label>

        <section id="ats_bucket_reply">
            <form action="index.php?option=com_ats&view=Buckets" method="post" enctype="multipart/form-data" class="akeeba-form--horizontal">
                <div class="ats-ticket-replyarea-content bbcode">
                <?php
                $this->container->platform->setSessionVar('canned_replies.category', 0, 'com_ats');
                $this->container->platform->setSessionVar('canned_replies.enabled', true, 'com_ats');
                ?>
                @editor('content_html', '', '95%', 350, 80, 20, true, 'ats-content')
                </div>

                <div class="akeeba-container--50-50">
                    <div class="akeeba-form-group ats-ticket-replyarea-attachment">
                        <label>@lang('COM_ATS_POSTS_MSG_ADDATTACHMENT')</label>
                        <input type="file" name="attachedfile" size="10" />
                    </div>
                </div>

                <div class="ats-ticket-replyarea-postbutton">
                    <input class="akeeba-btn--primary" type="submit" value="@lang('COM_ATS_POSTS_MSG_POST')" />
                </div>

                <input type="hidden" name="option" value="com_ats" />
                <input type="hidden" name="view" value="Buckets" />
                <input type="hidden" name="task" value="newreply" />
                <input type="hidden" name="ats_bucket_id" value="{{ $model->ats_bucket_id }}" />
                <input type="hidden" name="@token()" value="1" />
            </form>
        </section>

        <label for="ats_bucket_tickets">@lang('COM_ATS_BUCKETS_HEADING_TICKETLIST')</label>

        <section id="ats_bucket_tickets">
            <table class="akeeba-table--striped ats-tickets-table">
                <tbody>
				@foreach($tickets as $ticket)
                    @include('admin:com_ats/Buckets/ticketrow', ['ticket' => $ticket])
				@endforeach
                </tbody>
            </table>
        </section>
    </div>
</div>
