<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Bbcode;

/** @var FOF40\View\DataView\Html $this */

$m = 1; $i = 0;
?>

@extends('com_ats/Common/browse')

@section('browse-table-header')
    <tr>
        <th width="60px">
            @lang('COM_ATS_COMMON_ID')
        </th>
        <th>
            @sortgrid('title', 'COM_ATS_CANNEDREPLIES_FIELD_TITLE')
        </th>
    </tr>
@stop

@section('browse-hidden-fields')
    <input type="hidden" name="tmpl" value="component" />
@stop

@section('browse-table-body-withrecords')
	<?php $i = 0; ?>
    @foreach($this->items as $item)
        <tr class="ats-cannedreply-row" data-cannedreplyid="<?php echo $item->ats_cannedreply_id ?>" data-cannedreplysequence="<?php echo ++$i ?>">
            <td>
                {{{ $item->ats_cannedreply_id }}}
            </td>
            <td>
                <button class="akeeba-btn--dark--mini atsCannedReplyExpand" data-cannedreplyid="{{ (int) $item->ats_cannedreply_id }}">
                    <span class="akion-android-expand"></span>
                </button>

                <button class="akeeba-btn--teal--mini atsCannedReplyUse" data-cannedreplyid="{{ (int) $item->ats_cannedreply_id }}">
                    <span class="akion-checkmark-circled"></span>
                </button>

                {{{ $this->escape($item->title) }}}

                <div id="atsreply{{ $item->ats_cannedreply_id }}" class="ats-cannedreply-raw">
                    {{ \Akeeba\TicketSystem\Admin\Helper\Bbcode::parseBBCodeConditional($item->reply) }}
                </div>
            </td>
        </tr>
    @endforeach
@stop
