<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Html;
use Akeeba\TicketSystem\Admin\Helper\Permissions;
use FOF40\Html\FEFHelper\BrowseView;
use Akeeba\TicketSystem\Admin\Helper\Select;

?>
@extends('any:lib_fof40/Common/browse')

@section('browse-filters')
    <div class="akeeba-filter-element akeeba-form-group">
        @searchfilter('title', 'title', 'COM_ATS_CANNEDREPLIES_FIELD_TITLE')
    </div>

    <div class="akeeba-filter-element akeeba-form-group">
        {{ BrowseView::publishedFilter('enabled', 'JENABLED') }}
    </div>
@stop

@section('browse-table-header')
    <tr>
        <th width="50px">
            @sortgrid('ordering', '<i class="icon-menu-2"></i>')
        </th>
        <th width="20px">
            @jhtml('FEFHelp.browse.checkall')
        </th>
        <th>
            @sortgrid('title', 'COM_ATS_CANNEDREPLIES_FIELD_TITLE')
        </th>
        <th width="30">
            @sortgrid('enabled', 'JENABLED')
        </th>
    </tr>
@stop

@section('browse-table-body-withrecords')
    <?php
	$i = 0;
	$enabled = Permissions::getUser()->authorise('core.edit.state', 'com_ats');

	/** @var \Akeeba\TicketSystem\Admin\Model\CannedReplies $row */
	foreach($this->items as $row):
	?>
    <tr>
        <td>
            @jhtml('FEFHelp.browse.order', 'ordering', $row->ordering)
        </td>
        <td>
            @jhtml('FEFHelp.browse.id', ++$i, $row->getId())
        </td>
        <td>
            <a href="@route(\FOF40\Html\FEFHelper\BrowseView::parseFieldTags('index.php?option=com_ats&view=CannedReply&task=edit&id=[ITEM:ID]', $row))">
                {{{ $row->title }}}
            </a>
        </td>
        <td>
            @jhtml('FEFHelp.browse.published', $row->enabled, $i, '', $enabled)
        </td>
    </tr>
    <?php endforeach; ?>
@stop