<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

/**
 * Ticket Origin display field
 * Use it $this->loadAnyTemplate('admin:com_ats/Common/TicketOrigin', $params)
 *
 * $params is an array defining the following keys (they are expanded into local scope vars automatically):
 *
 * @var Tickets $item The current row
 *
 * Variables made automatically available to us by FOF:
 *
 * @var Raw     $this
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Model\Tickets;
use FOF40\View\DataView\Raw;

$origin = $item->origin ?? 'web';

?>
@if ($origin === 'web')
    <span class="akion-earth"></span>
@elseif ($origin === 'email')
    <span class="akion-email"></span>
@else
    <span class="akion-ios-cog"></span>
@endif