<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

/**
 * Ticket Priority display field
 * Use it $this->loadAnyTemplate('admin:com_ats/Common/TicketPriority', $params)
 *
 * $params is an array defining the following keys (they are expanded into local scope vars automatically):
 *
 * @var \Akeeba\TicketSystem\Admin\Model\Tickets $item The current row
 *
 * Variables made automatically available to us by FOF:
 *
 * @var \FOF40\View\DataView\Raw                 $this
 */

defined('_JEXEC') or die;

?>
<?php if ($item->priority > 5): ?>
<span class="pull-left akeeba-label--teal" style="margin-right: 2px">
    <span class="akion-chevron-down"></span>
</span>
<?php elseif (($item->priority > 0) && ($item->priority < 5)): ?>
<span class="akeeba-label--orange" style="margin-right: 2px">
    <span class="akion-chevron-up"></span>
</span>
<?php endif; ?>
