<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use FOF40\Date\Date;

/** @var Akeeba\TicketSystem\Admin\View\ControlPanel\Html $this */

$container = $this->getContainer();
$template = $container->template;

$this->container->platform->addScriptOptions('ats.ControlPanel.needsDownloadID', (bool) $this->needsdlid);
?>

@include('admin:com_ats/ControlPanel/needs_menu_item')
@include('admin:com_ats/ControlPanel/stuck_updates')
@include('admin:com_ats/ControlPanel/needs_dlid')

{{-- Old PHP version reminder --}}
@include('admin:com_ats/Common/phpversion_warning', [
    'softwareName'  => 'Akeeba Ticket System',
    'minPHPVersion' => '7.2.0',
])

<div class="akeeba-container--50-50">
    <div>
        <div class="akeeba-panel--info">
            <header class="akeeba-block-header">
                <h3>@lang('COM_ATS_CPANEL_TICKETS')</h3>
            </header>

            @include('admin:com_ats/ControlPanel/ticketgraph')
        </div>

        <div class="akeeba-panel--info">
            <header class="akeeba-block-header">
                <h3>@lang('COM_ATS_CPANEL_SPAREDTICKTS')</h3>
            </header>

            @include('admin:com_ats/ControlPanel/spared')
        </div>
    </div>

    <div>
        <div class="akeeba-panel--info">
            <header class="akeeba-block-header">
                <h3>@lang('COM_ATS_CPANEL_STATS')</h3>
            </header>

            @include('admin:com_ats/ControlPanel/ticketstats')
        </div>
    </div>
</div>
<div class="akeeba-panel--info">
    <p>
        <strong>
            Akeeba Ticket System {{ ATS_VERSION }}
        </strong>

        <br />
        <span style="font-size: x-small">
                Copyright &copy;2010&ndash;{{ $this->getContainer()->platform->getDate(ATS_DATE)->format('Y') }}
                Nicholas K. Dionysopoulos / Akeeba Ltd
            </span>
        <br />

        <span style="font-size: x-small">
                Akeeba Ticket System is Free software released under the
                <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License,</a>
                version 3 of the license or &ndash;at your option&ndash; any later version
                published by the Free Software Foundation.
            </span>
    </p>
</div>

{{ $this->statsIframe or '' }}

<div style="clear: both;"></div>