<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

?>

@include('admin:com_ats/ControlPanel/graphs_js')

<form class="akeeba-form--inline" onsubmit="return false;">
    <div class="akeeba-form-group">
        <label for="sinceSpared">@lang('COM_ATS_COMMON_FROMDATE')</label>
        @if (version_compare(JVERSION, '3.999.999', 'lt'))
            @jhtml('calendar', \FOF40\Date\Date::getInstance('-1 month')->format('Y-m-d'), 'sinceSpared', 'sinceSpared', '%Y-%m-%d', array('class' => 'akeeba-input-small'))
        @else
        <input
                type="date"
                pattern="[0-9]{4}-[0-9]{2}-[0-9]{2}"
                name="sinceSpared"
                id="sinceSpared"
                value="{{{ \FOF40\Date\Date::getInstance('-1 month')->format('Y-m-d') }}}"
                class="akeeba-input-small"
        >
        @endif
    </div>

    <div class="akeeba-form-group">
        <label for="untilSpared">@lang('COM_ATS_COMMON_TODATE')</label>
        @if (version_compare(JVERSION, '3.999.999', 'lt'))
            @jhtml('calendar', date('Y-m-d'), 'untilSpared', 'untilSpared', '%Y-%m-%d', array('class' => 'akeeba-input-small'))
        @else
        <input
                type="date"
                pattern="[0-9]{4}-[0-9]{2}-[0-9]{2}"
                name="untilSpared"
                id="untilSpared"
                value="{{{ date('Y-m-d') }}}"
                class="akeeba-input-small"
        >
        @endif
    </div>

    <div class="akeeba-form-group--actions">
        <button class="akeeba-btn--primary--small" id="reloadSpared">
            @lang('COM_ATS_COMMON_RELOADGRAPHS')
        </button>
    </div>
</form>

<div id="aksparedtickets" style="height:300px">
    <img id="akthrobberspared"
         src="@media('media://com_ats/images/throbber.gif')" />
    <p id="aknodataspared" style="display:none">
        @lang('COM_ATS_CPANEL_STATS_NODATA')
    </p>
    <canvas id="aksparedticketsCanvas" style="max-width: 100%; max-height: 300px"></canvas>
</div>
