<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use FOF40\Date\Date;

/** @var \Akeeba\TicketSystem\Admin\Model\Tickets $ticketModel */
$ticketModel = $this->getContainer()->factory->model('TicketStatistics')->tmpInstance();
$pendingStatuses = array('P', '1', '2', '3', '4', '5', '6', '7', '8', '9');
$pendingStatuses = 'P,1,2,3,4,5,6,7,8,9';
?>
@include('admin:com_ats/ControlPanel/graphs_js')

<table width="100%" class="akeeba-table--striped">
    <thead>
    <tr>
        <th>&nbsp;</th>
        <th>@lang('COM_ATS_TICKETS_STATUS_O')</th>
        <th>@lang('COM_ATS_TICKETS_STATUS_P')</th>
        <th>@lang('COM_ATS_TICKETS_STATUS_C')</th>
        <th>@lang('COM_ATS_TICKETS_STATUS_TOTAL')</th>
    </tr>
    </thead>
    <tbody>
    <tr>
        <td>@lang('COM_ATS_TICKETS_PUBLIC_PUBLIC')</td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=O&public=1&enabled=1">
                {{ $public_open = $ticketModel->tmpInstance()
                    ->status_array([])
                    ->status('O')
                    ->public(1)
                    ->enabled(1)
                    ->count() }}
            </a>
        </td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=P&public=1&enabled=1">
                {{ $public_pending = $ticketModel->tmpInstance()
                    ->status_array($pendingStatuses)
                    ->public(1)
                    ->enabled(1)
                    ->count() }}
            </a>
        </td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=C&public=1&enabled=1">
                {{ $public_closed = $ticketModel->tmpInstance()
                    ->status_array([])
                    ->status('C')
                    ->public(1)
                    ->enabled(1)
                    ->count() }}
            </a>
        </td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=&public=1&enabled=1">
                {{ $public_open + $public_closed + $public_pending }}
            </a>
        </td>
    </tr>
    <tr>
        <td>@lang('COM_ATS_TICKETS_PUBLIC_PRIVATE')</td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=O&public=0&enabled=1">
                {{ 	$private_open = $ticketModel->tmpInstance()
                    ->status_array([])
                    ->status('O')
                    ->public(0)
                    ->enabled(1)
                    ->count() }}
            </a>
        </td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=P&public=0&enabled=1">
                {{ $private_pending = $ticketModel->tmpInstance()
                    ->status_array($pendingStatuses)
                    ->public(0)
                    ->enabled(1)
                    ->count() }}
            </a>
        </td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=C&public=0&enabled=1">
                {{ $private_closed = $ticketModel->tmpInstance()
                    ->status_array([])
                    ->status('C')
                    ->public(0)
                    ->enabled(1)
                    ->count() }}
            </a>
        </td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=&public=0&enabled=1">
                {{ $private_open + $private_closed + $private_pending }}
            </a>
        </td>
    </tr>
    </tbody>
    <tfoot>
    <tr>
        <td>@lang('COM_ATS_TICKETS_STATUS_TOTAL')</td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=O&public=&enabled=1">
                {{ $public_open + $private_open }}
            </a>
        </td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=P&public=&enabled=1">
                {{ $public_pending + $private_pending }}
            </a>
        </td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=C&public=&enabled=1">
                {{ $public_closed + $private_closed }}
            </a>
        </td>
        <td>
            <a href="index.php?option=com_ats&view=Tickets&status=&public=&enabled=1">
                {{ $public_open + $private_open + $public_pending + $private_pending + $public_closed + $private_closed }}
            </a>
        </td>
    </tr>
    </tfoot>
</table>

@if($this->container->params->get('userfeedback', 0) && ATS_PRO)
    <?php
    $interval['week'] = '7 days';
    $interval['month'] = '30 days';
    $interval['year'] = '365 days';
    $interval['all'] = null;

    /** @var \Akeeba\TicketSystem\Admin\Model\TicketStatistics $tickets */
    $tickets = $this->getContainer()->factory->model('TicketStatistics')->tmpInstance();
    $ratings = $tickets->getRatings($interval);
    ?>
    <div style="margin-top:20px">
        <table class="akeeba-table--striped" id="userfeedback">
            <thead>
            <tr>
                <th>@lang('JGLOBAL_USERNAME')</th>
                <th style="width: 15%">@lang('COM_ATS_CPANEL_RATING_LAST7DAYS')</th>
                <th style="width: 15%">@lang('COM_ATS_CPANEL_RATING_LAST30DAYS')</th>
                <th style="width: 15%">@lang('COM_ATS_CPANEL_RATING_LAST365DAYS')</th>
                <th style="width: 15%">@lang('COM_ATS_CPANEL_RATING_OVERALL')</th>
            </tr>
            </thead>
            <tbody>
            @foreach($ratings as $rating)
                <tr>
                    <td>{{ $rating['user'] }}</td>
                    <td>{{ $rating['week'] or 0 }}</td>
                    <td>{{ $rating['month'] or 0 }}</td>
                    <td>{{ $rating['year'] or 0 }}</td>
                    <td>{{ $rating['all'] or 0 }}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
    <div style="clear: both;"></div>
@endif