<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Permissions;
use FOF40\Html\FEFHelper\BrowseView;
?>
@extends('any:lib_fof40/Common/browse')

@section('browse-filters')
    <div class="akeeba-filter-element akeeba-form-group">
        @searchfilter('username', 'username', 'COM_ATS_CREDITTRANSACTIONS_FIELD_USER_ID_LBL')
    </div>

    <div class="akeeba-filter-element akeeba-form-group">
        @searchfilter('type', 'type', 'COM_ATS_CREDITTRANSACTIONS_FIELD_TYPE_LBL')
    </div>

    <div class="akeeba-filter-element akeeba-form-group">
        @searchfilter('unique_id', 'unique_id', 'COM_ATS_CREDITTRANSACTIONS_FIELD_UNIQUE_ID_LBL')
    </div>

    <div class="akeeba-filter-element akeeba-form-group">
        {{ BrowseView::publishedFilter('enabled', 'JENABLED') }}
    </div>
@stop

@section('browse-table-header')
    <tr>
        <th width="20px">
            @jhtml('FEFHelp.browse.checkall')
        </th>
        <th>
            @sortgrid('user_id', 'COM_ATS_CREDITTRANSACTIONS_FIELD_USER_ID_LBL')
        </th>
        <th>
            @sortgrid('transaction_date', 'COM_ATS_CREDITTRANSACTIONS_FIELD_TRANSACTION_DATE_LBL')
        </th>
        <th>
            @sortgrid('type', 'COM_ATS_CREDITTRANSACTIONS_FIELD_TYPE_LBL')
        </th>
        <th>
            @sortgrid('unique_id', 'COM_ATS_CREDITTRANSACTIONS_FIELD_UNIQUE_ID_LBL')
        </th>
        <th>
            @lang('COM_ATS_CREDITTRANSACTIONS_FIELD_VALUE_LBL')
        </th>
        <th width="30px">
            @sortgrid('enabled', 'JENABLED')
        </th>
    </tr>
@stop

@section('browse-table-body-withrecords')
<?php
	/** @var \Akeeba\TicketSystem\Admin\Model\CreditTransactions $row */
	$i = 0;
	$enabled = Permissions::getUser()->authorise('core.edit.state', 'com_ats');
?>
	@foreach($this->items as $row)
        <tr>
            <td>
                @jhtml('FEFHelp.browse.id', ++$i, $row->getId())
            </td>
            <td>
                @include('any:lib_fof40/Common/user_show', ['item' => $row, 'field' => 'user_id'])
            </td>
            <td>
                <a href="@route(\FOF40\Html\FEFHelper\BrowseView::parseFieldTags('index.php?option=com_ats&view=CreditTransaction&task=edit&id=[ITEM:ID]', $row))">
                    {{{ date('Y-m-d', strtotime($row->transaction_date)) }}}
                </a>
            </td>
            <td>
                {{{ $row->type }}}
            </td>
            <td>
                <a href="@route(\FOF40\Html\FEFHelper\BrowseView::parseFieldTags('index.php?option=com_ats&view=CreditTransaction&task=edit&id=[ITEM:ID]', $row))">
                    {{{ $row->unique_id }}}
                </a>
            </td>
            <td>
                {{{ $row->value }}}
            </td>
            <td>
                @jhtml('FEFHelp.browse.published', $row->enabled, $i, '', $enabled)
            </td>
        </tr>
    @endforeach
@stop