<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

/** @var \FOF40\View\DataView\Html $this */
/** @var \Akeeba\TicketSystem\Admin\Model\CreditTransactions $item */

$item = $this->getItem();
?>
@if (version_compare(JVERSION, '3.999.999', 'le'))
    @jhtml('behavior.tooltip')
@endif


<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data" class="akeeba-form--horizontal">
    <div class="akeeba-container--50-50">
        <div>
            <div class="akeeba-form-group">
                <label for="user_id">
					@lang('COM_ATS_CREDITTRANSACTIONS_FIELD_USER_ID_LBL')
                </label>

                @include('any:lib_fof40/Common/user_select', ['field' => 'user_id', 'item' => $item, 'required' => true])
            </div>
            <div class="akeeba-form-group">
                <label for="transaction_date">
					@lang('COM_ATS_CREDITTRANSACTIONS_FIELD_TRANSACTION_DATE_LBL')
                </label>

                @if (version_compare(JVERSION, '3.999.999', 'lt'))
                    @jhtml('calendar', $item->transaction_date, 'transaction_date', 'transaction_date')

                @else
                <input
                        type="date"
                        pattern="[0-9]{4}-[0-9]{2}-[0-9]{2}"
                        name="transaction_date"
                        id="transaction_date"
                        value="{{{ $item->transaction_date }}}"
                        class="akeeba-input-small"
                >
                @endif

            </div>
            <div class="akeeba-form-group">
                <label for="type">
					@lang('COM_ATS_CREDITTRANSACTIONS_FIELD_TYPE_LBL')
                </label>

                <input type="text" name="type" value="{{{ $item->type }}}" placeholder="@lang('COM_ATS_CREDITTRANSACTIONS_FIELD_TYPE_LBL')" />
            </div>
            <div class="akeeba-form-group">
                <label for="unique_id">
					@lang('COM_ATS_CREDITTRANSACTIONS_FIELD_UNIQUE_ID_LBL')
                </label>

                <input type="text" name="unique_id" value="{{{ $item->unique_id }}}" placeholder="@lang('COM_ATS_CREDITTRANSACTIONS_FIELD_UNIQUE_ID_LBL')" />
            </div>
            <div class="akeeba-form-group">
                <label for="value">
					@lang('COM_ATS_CREDITTRANSACTIONS_FIELD_VALUE_LBL')
                </label>

                <input type="text" name="value" value="{{{ $item->value }}}" placeholder="@lang('COM_ATS_CREDITTRANSACTIONS_FIELD_VALUE_LBL')" />
            </div>
        </div>
    </div>

    <input type="hidden" name="option" value="com_ats" />
    <input type="hidden" name="view" value="CreditTransactions" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="ats_credittransaction_id" value="{{{ $item->ats_credittransaction_id }}}" />
    <input type="hidden" name="@token(true)" value="1" />
</form>
