<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Select;

/** @var \Akeeba\TicketSystem\Admin\Model\CustomFields $item */
$item = $this->getItem();
?>

@extends('any:lib_fof40/Common/edit')

@section('edit-form-body')
<div class="akeeba-container--50-50">
    <div>
        <div class="akeeba-form-group">
            <label for="title">@lang('COM_ATS_CUSTOMFIELDS_FIELD_TITLE') *</label>

            <input type="text" name="title" id="title" value="{{{ $item->title }}}" />
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_TITLE')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="slug">@lang('COM_ATS_CUSTOMFIELDS_FIELD_SLUG') *</label>

            <input type="text" name="slug" id="slug" value="{{{ $item->slug }}}" />
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_SLUG')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="enabled">@lang('JPUBLISHED')</label>

            @jhtml('FEFHelp.select.booleanswitch', 'enabled', $item->enabled)
        </div>

        <div class="akeeba-form-group">
            <label for="show">@lang('COM_ATS_CUSTOMFIELDS_FIELD_SHOW')</label>

            {{ Select::fieldShow('show', $item->show) }}
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_SHOW')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="cats">@lang('COM_ATS_CUSTOMFIELDS_FIELD_CATEGORY')</label>

            {{ Select::getCategories(array_values($item->cats->modelKeys()), 'cats[]', ['multiple' => 'true']) }}
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_CATEGORY')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="type">@lang('COM_ATS_CUSTOMFIELDS_FIELD_TYPE')</label>

            {{ Select::fieldTypes('type', $item->type) }}
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_TYPE')</span>
        </div>
    </div>
    <div>
        <div class="akeeba-form-group">
            <label for="options">@lang('COM_ATS_CUSTOMFIELDS_FIELD_OPTIONS')</label>

            <textarea name="options" id="options" cols="50" rows="7">{{ $item->options }}</textarea>
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_OPTIONS')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="default">@lang('COM_ATS_CUSTOMFIELDS_FIELD_DEFAULT') *</label>

            <input type="text" name="default" id="default" value="{{{ $item->default }}}" />
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_DEFAULT')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="allow_empty">@lang('COM_ATS_CUSTOMFIELDS_FIELD_ALLOW_EMPTY') *</label>

            @jhtml('FEFHelp.select.booleanswitch', 'allow_empty', $item->allow_empty)
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_ALLOW_EMPTY')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="public">@lang('COM_ATS_CUSTOMFIELDS_FIELD_PUBLIC') *</label>

            @jhtml('FEFHelp.select.booleanswitch', 'public', $item->public)
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_PUBLIC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="valid_label">@lang('COM_ATS_CUSTOMFIELDS_FIELD_VALID_LABEL')</label>

            <input type="text" name="valid_label" id="valid_label" value="{{{ $item->valid_label }}}" />
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_VALID_LABEL')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="invalid_label">@lang('COM_ATS_CUSTOMFIELDS_FIELD_INVALID_LABEL')</label>

            <input type="text" name="invalid_label" id="invalid_label" value="{{{ $item->invalid_label }}}" />
            <span class="small">@lang('COM_ATS_CUSTOMFIELDS_HELP_INVALID_LABEL')</span>
        </div>
    </div>
</div>
@stop