<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use FOF40\Html\FEFHelper\BrowseView;
use FOF40\Html\SelectOptions;

?>
@extends('any:lib_fof40/Common/browse')

@section('browse-filters')
    <div class="akeeba-filter-element akeeba-form-group">
        @searchfilter('key', 'key', 'COM_ATS_EMAILTEMPLATES_FIELD_KEY_LBL')
    </div>

    <div class="akeeba-filter-element akeeba-form-group">
        @searchfilter('subject', 'subject', 'COM_ATS_EMAILTEMPLATES_FIELD_SUBJECT_LBL')
    </div>

    <div class="akeeba-filter-element akeeba-form-group">
        {{ BrowseView::publishedFilter('enabled', 'JENABLED') }}
    </div>

    <div class="akeeba-filter-element akeeba-form-group">
        @selectfilter('language', SelectOptions::getOptions('languages'))
    </div>
@stop

@section('browse-table-header')
    <tr>
        <th width="40px">
            @sortgrid('ats_emailtemplate_id', 'JGLOBAL_NUM')
        </th>
        <th>
            @sortgrid('key', 'COM_ATS_EMAILTEMPLATES_FIELD_KEY_LBL')
        </th>
        <th>
            @sortgrid('subject', 'COM_ATS_EMAILTEMPLATES_FIELD_SUBJECT_LBL')
        </th>
        <th>
            @sortgrid('enabled', 'JENABLED')
        </th>
        <th>
            @sortgrid('language')
        </th>
    </tr>
@stop

@section('browse-table-body-withrecords')
    <?php $i = 0; ?>
    @foreach($this->items as $row)
        <tr>
            <td>
                @jhtml('FEFHelp.browse.id', ++$i, $row->getId())
            </td>
            <td>
                {{{ $row->key }}}
            </td>
            <td>
                <a href="@route(BrowseView::parseFieldTags('index.php?option=com_ats&view=EmailTemplates&task=edit&id=[ITEM:ID]', $row))">
                    {{{ $row->subject }}}
                </a>
            </td>
            <td>
                @jhtml('FEFHelp.browse.published', $row->enabled, $i)
            </td>
            <td>
                {{{ BrowseView::getOptionName($row->language, \FOF40\Html\SelectOptions::getOptions('languages', ['none' => 'COM_ATS_EMAILTEMPLATES_FIELD_LANGUAGE_ALL'])) }}}
            </td>

        </tr>
    @endforeach
@stop
