<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use FOF40\Html\FEFHelper\BrowseView;

/** @var \Akeeba\TicketSystem\Admin\Model\EmailTemplates $item */
$item = $this->getItem();
?>

@extends('any:lib_fof40/Common/edit')

@section('edit-form-body')

        <div class="akeeba-form-group">
            <label for="key">@lang('COM_ATS_EMAILTEMPLATES_FIELD_KEY_LBL') *</label>

            <input type="text" name="key" id="key" value="{{{ $item->key }}}" />
            <span class="small">@lang('COM_ATS_EMAILTEMPLATES_FIELD_KEY_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="subject">@lang('COM_ATS_EMAILTEMPLATES_FIELD_SUBJECT_LBL') *</label>

            <input type="text" name="subject" id="subject" value="{{{ $item->subject }}}" />
            <span class="small">@lang('COM_ATS_EMAILTEMPLATES_FIELD_SUBJECT_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="enabled">@lang('JPUBLISHED')</label>

            @jhtml('FEFHelp.select.booleanswitch', 'enabled', $item->enabled)
        </div>

        <div class="akeeba-form-group">
            <label for="language">@fieldtitle('language')</label>

            {{ BrowseView::genericSelect('language', \FOF40\Html\SelectOptions::getOptions('languages', ['none' => 'COM_ATS_EMAILTEMPLATES_FIELD_LANGUAGE_ALL']), $this->getItem()->language, ['fof.autosubmit' => false, 'translate' => false]) }}
        </div>

        <div class="akeeba-form-group">
            <label for="template">
                @lang('COM_ATS_EMAILTEMPLATES_FIELD_TEMPLATE_LBL')
            </label>

            <div class="akeeba-noreset">
                @jhtml('FEFHelp.edit.editor', 'template', $this->getItem()->template)
            </div>

            <span class="small">@lang('COM_ATS_EMAILTEMPLATES_FIELD_TEMPLATE_DESC')</span>
        </div>

@stop