<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Select;

/** @var \Akeeba\TicketSystem\Admin\Model\OfflineSchedules $item */
$item = $this->getItem();

?>

@extends('any:lib_fof40/Common/edit')

@section('edit-form-body')
<div class="akeeba-container--50-50">
    <div>
        <h3>@lang('COM_ATS_OFFLINESCHEDULES_GROUP_BASIC')</h3>

        <div class="akeeba-form-group">
            <label for="title">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_TITLE') *</label>

            <input type="text" name="title" id="title" value="{{{ $item->title }}}" />
        </div>

        <div class="akeeba-form-group">
            <label for="notickets">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_NOTICKETS')</label>

			@jhtml('FEFHelp.select.booleanswitch', 'notickets', $item->notickets)
            <span class="small">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_NOTICKETS_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="noreplies">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_NOREPLIES')</label>

			@jhtml('FEFHelp.select.booleanswitch', 'noreplies', $item->noreplies)
            <span class="small">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_NOREPLIES_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="enabled">@lang('JPUBLISHED')</label>

            @jhtml('FEFHelp.select.booleanswitch', 'enabled', $item->enabled)
        </div>
    </div>

    <div>
        <h3>@lang('COM_ATS_OFFLINESCHEDULES_GROUP_SCHEDULING')</h3>

        <div class="akeeba-form-group">
            <label for="timestart">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_TIMESTART') *</label>

            <input type="text" name="timestart" id="timestart" value="{{{ $item->timestart or '00:00:00'}}}" />
            <span class="small">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_TIMESTART_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="timeend">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_TIMEEND') *</label>

            <input type="text" name="timeend" id="timeend" value="{{{ $item->timeend or '23:59:59'}}}" />
            <span class="small">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_TIMEEND_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="weekdays">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_WEEKDAYS') *</label>

            {{ Select::weekdays('weekdays', $item->weekdays, ['multiple' => true, 'size' => 5, 'class' => 'advancedSelect']) }}
            <span class="small">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_WEEKDAYS_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="days">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_DAYS') *</label>

            {{ Select::dateInteger('days', $item->days, ['multiple' => true, 'size' => 5, 'first' => 1, 'last' => 31, 'step' => 1, 'class' => 'advancedSelect']) }}
            <span class="small">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_DAYS_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="months">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_MONTHS') *</label>

			{{ Select::dateInteger('months', $item->months, ['multiple' => true, 'size' => 5, 'first' => 1, 'last' => 12, 'step' => 1, 'month' => 1, 'class' => 'advancedSelect']) }}
            <span class="small">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_MONTHS_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="years">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_YEARS') *</label>

			{{ Select::dateInteger('years', $item->years, ['multiple' => true, 'size' => 5, 'first' => 0, 'last' => 10, 'step' => 1, 'year' => 1, 'class' => 'advancedSelect']) }}
            <span class="small">@lang('COM_ATS_OFFLINESCHEDULES_FIELD_YEARS_DESC')</span>
        </div>
    </div>
</div>
@stop