<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

/** @var FOF40\View\DataView\Html $this */

use Akeeba\TicketSystem\Admin\Helper\Editor;use Akeeba\TicketSystem\Admin\Model\Posts;use Joomla\CMS\Component\ComponentHelper;

// Please note: can't extend the common/Edit template since we're going to do some tricks on the form element

$component = ComponentHelper::getParams('com_ats');

if(!isset($quickreply))
{
    $quickreply = !($this->item instanceof Posts);
}

if(!isset($ats_ticket_id))
{
	$ats_ticket_id = 0;

	if(isset($this->item->ats_ticket_id))
    {
        $ats_ticket_id = $this->item->ats_ticket_id;
    }
}

if(!isset($ats_post_id))
{
	$ats_post_id = 0;

	if(isset($this->item->ats_post_id))
    {
        $ats_post_id = $this->item->ats_post_id;
    }
}

if(!isset($returnURL))
{
	$returnURLtemp = $this->input->getString('returnurl',null);

	if(!empty($returnURLtemp))
    {
        $returnURL = $returnURLtemp;
    }
}

?>

<div class="ats-ticket-replyarea">
<form class="akeeba-form--horizontal" action="index.php" method="post" <?php echo $quickreply ? '' : 'name="adminForm" id="adminForm"' ?> enctype="multipart/form-data">
	<div class="ats-ticket-replyarea-content bbcode">
		<?php
		$contents = '';

		if (isset($this->item) && $this->item instanceof Posts)
		{
			// Always show HTML code, even if we're editing a legacy BBcode-formatted ticket.
			$contentsLegacy = $this->item->content;
            $contents = $this->item->content_html;

            if (empty($contents) && !empty($contentsLegacy))
            {
                $contents = \Akeeba\TicketSystem\Admin\Helper\Bbcode::parseBBCode($contentsLegacy);
            }
		}
		?>
		<?php
		$this->container->platform->setSessionVar('canned_replies.category', 0, 'com_ats');
		$this->container->platform->setSessionVar('canned_replies.enabled', true, 'com_ats');
		?>
        @editor('content_html', htmlspecialchars($contents, ENT_COMPAT, 'UTF-8'), '95%', 350, 80, 20, true, 'ats-content')
	</div>

    <div class="akeeba-container--50-50">
        <div>
            <div class="ats-ticket-replyarea-timetracking">
                @if($this->getContainer()->params->get('showcredits', 0))
                <div class="akeeba-form-group">
                    <label for="ats-credits-charge">@lang('COM_ATS_POSTS_CREDITS_CHARGE')</label>
                    <div class="akeeba-input-group">
                        <input type="text" name="extracredits" id="ats-credits-charge" value="" />
                        <span>@lang('COM_ATS_TICKETS_USERINFO_CREDITS')</span>
                    </div>
                </div>
                @endif

                <div class="akeeba-form-group">
                    <label for="ats-timespent">
                        @lang('COM_ATS_POSTS_LBL_TIMESPENT')
                    </label>
                    <div class="akeeba-input-group">
                        <input type="text" name="timespent" id="ats-timespent" value="{{{ $this->item->timespent }}}" />
                        <span>@lang('COM_ATS_POSTS_LBL_TIMESPENT_MINUTES')</span>
                    </div>
                </div>
            </div>

    @if(!($this->item instanceof Posts))
            <div class="ats-ticket-replyarea-attachment akeeba-form-group" id="attachedfileMainField">
                <label for="attachedfile">@lang('COM_ATS_NEWTICKET_LBL_ATTACHMENT')</label>
                <div>
                    <span class="attFileField">
                        <input type="file" name="attachedfile[]" />
                    </span>
                    <span class="attButtonField" style="display: none;">
                        <a class="akeeba-btn--dark-small" href="javascript:void(0);">
                            @lang('COM_ATS_COMMON_REMOVE')
                        </a>
                    </span>
                </div>
            </div>

            <div class="ats-attachments"></div>

            <div class="ats-ticket-replyarea-attachment-help akeeba-form-group--pull-right">
                <div>
                    <a href="javascript:void(0);" class="akeeba-btn--primary" id="addAttachment">
                        <span class="akion-plus-round"></span>
                        @lang('COM_ATS_POSTS_ADD_ATTACHMENT')
                    </a>
                </div>
            </div>
        </div>
    </div>

	<div class="ats-ticket-replyarea-postbutton">
		<input class="akeeba-btn--primary" type="submit" value="@lang('COM_ATS_POSTS_MSG_POST')" />
	</div>
	@endif

    <input type="hidden" name="option" value="com_ats" />
    <input type="hidden" name="view" value="Posts" />
    <input type="hidden" name="task" value="save" />
    <input type="hidden" name="ats_ticket_id" value="{{{ $ats_ticket_id }}}" />
    <input type="hidden" name="ats_post_id" value="{{{ $ats_post_id }}}" />
    <input type="hidden" name="@token()" value="1" />
	<?php if(isset($returnURL)): ?>
        <input type="hidden" name="returnurl" value="<?php echo $returnURL ?>" />
	<?php endif; ?>
</form>
</div>
