<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

/** @var \Akeeba\TicketSystem\Admin\View\SchedulingInfo\Html $this */
?>
@section('atsSchedulingCommandNameInfo')
    @if($this->selectedCRONCommand == 'commandName')
        <p>
            <span class="akeeba-label--info">@lang('COM_ATS_SCHEDULINGINFO_LBL_GENERIC_NOTE')</span>
            @sprintf('COM_ATS_SCHEDULINGINFO_LBL_CLICOMMANDNAMEINFO', 'commandName')
        </p>
    @endif
@stop
<h2>
    @lang('COM_ATS_SCHEDULINGING_LBL_CRON_HEADER')
</h2>

<p>
    @lang('COM_ATS_SCHEDULINGING_LBL_CRON_INFO')
</p>

<form action="index.php" method="post" id="adminForm" class="akeeba-form--horizontal">
    <div class="akeeba-form-group">
        <label for="commandName">@lang('COM_ATS_SCHEDULINGINFO_LBL_COMMANDNAMEGENERIC_LABEL')</label>
        @jhtml('select.genericlist', $this->getCRONCommandOptions(), 'commandName', ['list.translate' => true, 'list.attr'=>['class' => 'atsCommonEventsOnChangeSubmit'], 'list.select' => $this->selectedCRONCommand])
        <p class="akeeba-help-text">
            @unless($this->selectedCRONCommand == 'commandName')
                <code>{{ $this->selectedCRONCommand }}</code>
            @endunless
            {{ $this->commandHelpText }}
        </p>
    </div>

    <input type="hidden" name="option" value="com_ats">
    <input type="hidden" name="view" value="SchedulingInfo">
    <input type="hidden" name="@token()" value="1">
</form>


{{-- CLI CRON jobs --}}
@include('admin:com_ats/SchedulingInfo/cron_cli')

{{-- Front-end CRON jobs --}}
@include('admin:com_ats/SchedulingInfo/cron_frontend')
