<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

/** @var \Akeeba\TicketSystem\Admin\View\SchedulingInfo\Html $this */
?>

<div class="akeeba-panel--information">
    <header class="akeeba-block-header">
        <h3>@lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL')</h3>
    </header>

    @if(!trim($this->cronInfo->info->secret))
        <div class="akeeba-block--warning">
            <p>
                @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_NOSECRET_PRE')
            </p>
            <p>
                @sprintf('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_NOSECRET_SOLUTION', $secret = $this->container->platform->getSessionVar('newSecretWord', '', 'ats.cron'))
            </p>
            <form action="index.php" method="post" id="secretWordForm">
                <input type="hidden" name="option" value="com_ats">
                <input type="hidden" name="view" value="SchedulingInfo">
                <input type="hidden" name="task" value="applySecretWord">
                <input type="hidden" name="@token()" value="1">

                <button type="submit" class="akeeba-btn--green">
                    <span class="akion-checkmark"></span>
                    @lang('COM_ATS_SCHEDULINGINFO_BTN_CRONURL_NOSECRET_APPLY')
                </button>
            </form>
        </div>
    @else
        <p>
            @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_MANYMETHODS')
        </p>

        <h4>
            @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_TAB_WEBCRON', true)
        </h4>

        <p>
            @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON')
        </p>

        <table class="akeeba-table--striped" width="100%">
            <tr>
                <td></td>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_INFO')
                </td>
            </tr>
            <tr>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_NAME')
                </td>
                <td>
                    @sprintf('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_NAME_INFO', $this->commandDescription)
                </td>
            </tr>
            <tr>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_TIMEOUT')
                </td>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_TIMEOUT_INFO')
                </td>
            </tr>
            <tr>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_URL')
                </td>
                <td>
                    <p>
                        {{{ $this->cronInfo->info->root_url }}}/{{{ $this->cronInfo->frontend->path }}}
                    </p>
                    @yield('atsSchedulingCommandNameInfo')
                </td>
            </tr>
            <tr>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_LOGIN')
                </td>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_LOGINPASSWORD_INFO')
                </td>
            </tr>
            <tr>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_PASSWORD')
                </td>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_LOGINPASSWORD_INFO')
                </td>
            </tr>
            <tr>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_EXECUTIONTIME')
                </td>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_EXECUTIONTIME_INFO')
                </td>
            </tr>
            <tr>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_ALERTS')
                </td>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_ALERTS_INFO')
                </td>
            </tr>
            <tr>
                <td></td>
                <td>
                    @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WEBCRON_THENCLICKSUBMIT')
                </td>
            </tr>
        </table>

        <h4>@lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_TAB_WGET', true)</h4>

        <p>
            @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_WGET')
            <code>
                wget --max-redirect=10000 "{{{ $this->cronInfo->info->root_url }}}/{{{ $this->cronInfo->frontend->path }}}" -O - 1>/dev/null 2>/dev/null
            </code>
        </p>

        @yield('atsSchedulingCommandNameInfo')

        <h4>@lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_TAB_CURL', true)</h4>

        <p>
            @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_CURL')
            <code>
                curl -L --max-redirs 1000 -v "{{{ $this->cronInfo->info->root_url }}}/{{{ $this->cronInfo->frontend->path }}}" 1>/dev/null 2>/dev/null
            </code>
        </p>

        @yield('atsSchedulingCommandNameInfo')

        <h4>@lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_TAB_URL', true)</h4>

        <p>
            @lang('COM_ATS_SCHEDULINGINFO_LBL_CRONURL_RAWURL')
            <code>
                {{{ $this->cronInfo->info->root_url }}}/{{{ $this->cronInfo->frontend->path }}}
            </code>
        </p>

        @yield('atsSchedulingCommandNameInfo')
    @endif
</div>