<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

/** @var \Akeeba\TicketSystem\Admin\View\SchedulingInfo\Html $this */
?>

<h2>@lang('COM_ATS_SCHEDULINGINGO_LBL_PLUGINS_HEAD')</h2>

<p>@lang('COM_ATS_SCHEDULINGINGO_LBL_PLUGINS_INFO')</p>

<table class="akeeba-table--striped" width="100%">
    <thead>
    <tr>
        <th>
            Plugin
        </th>
        <th width="10%">
            Command
        </th>
        <th width="15%">
            Published
        </th>
    </tr>
    </thead>
    <tbody>
    @foreach($this->getModel()->getAtsCronPlugins() as $pluginName => $info)
        <tr>
            <td>
                <p>
                    <strong>{{ $info['name'] }}</strong>
                </p>
                <p class="akeeba-help-text">
                    {{ $info['description'] }}
                </p>
            </td>
            <td>
                <code>{{ $info['command'] }}</code>
            </td>
            <td>
                @if ($info['published'] && $info['public'])
                    @if ($info['cronEnabled'])
                        <p>
                            <span class="akeeba-label--success">
                                @lang('JYES')
                            </span>
                        </p>
                    @else
                        <p>
                            <span class="akeeba-label--warning">
                                @lang('COM_ATS_SCHEDULINGINGO_LBL_PLUGINS_CRON_DISABLED')
                            </span>
                        </p>

                        <p>
                            <a href="index.php?option=com_ats&view=SchedulingInfo&task=fixPlugin&plugin={{ urlencode($pluginName)  }}" class="akeeba-btn--small--block">
                                <span class="akion-wrench"></span>
                                @lang('COM_ATS_SCHEDULINGINGO_BTN_PLUGINS_FIX')
                            </a>
                        </p>
                    @endif
                @elseif($info['published'])
                    <p>
                        <span class="akeeba-label--warning">
                            @lang('COM_ATS_SCHEDULINGINGO_LBL_PLUGINS_NOT_PUBLIC')
                        </span>
                    </p>

                    <p>
                        <a href="index.php?option=com_ats&view=SchedulingInfo&task=fixPlugin&plugin={{ urlencode($pluginName)  }}" class="akeeba-btn--small--block">
                            <span class="akion-wrench"></span>
                            @lang('COM_ATS_SCHEDULINGINGO_BTN_PLUGINS_FIX')
                        </a>
                    </p>
                @else
                    <p>
                        <span class="akeeba-label--failure">
                            @lang('COM_ATS_SCHEDULINGINGO_LBL_PLUGINS_UNPUBLISHED')
                        </span>
                    </p>

                    <p>
                        <a href="index.php?option=com_ats&view=SchedulingInfo&task=fixPlugin&plugin={{ urlencode($pluginName)  }}" class="akeeba-btn--small--block">
                            <span class="akion-wrench"></span>
                            @lang('COM_ATS_SCHEDULINGINGO_BTN_PLUGINS_FIX')
                        </a>
                    </p>
                @endif
            </td>
        </tr>
    @endforeach
    </tbody>
</table>