<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

/** @var Akeeba\TicketSystem\Admin\View\TicketStatistics\Json $this */

/** @var \Akeeba\TicketSystem\Admin\Model\TicketStatistics $ticket */
$ticket  = $this->getContainer()->factory->model('TicketStatistics')->tmpInstance();
$tickets = $ticket->created_since($this->input->getCmd('created_since'))
	->created_until($this->input->getCmd('created_until'))
	->getTotalsByCategory();

/** @var \Akeeba\TicketSystem\Admin\Model\Attempts $attempts */
$attempts = $this->getContainer()->factory->model('Attempts')->tmpInstance();
$spared   = $attempts->created_since($this->input->getCmd('created_since'))
	->created_until($this->input->getCmd('created_until'))
	->getTotalsByCategory();

/** @var \Akeeba\TicketSystem\Admin\Model\Categories $catModel */
$catModel   = $this->getContainer()->factory->model('Categories');
$categories = $catModel->get(true);

$results = [
	'saved'      => [],
	'categories' => [],
];

foreach ($categories as $category)
{
	$title = substr($category->title, 0, 20);

	if (function_exists('mb_substr'))
	{
		$title = mb_substr($category->title, 0, 20);
	}

	$results['categories'][] = $title;

	if (!isset($spared[$category->id]))
	{
		$results['saved'][] = 0.0;

		continue;
	}

	$ticketsSaved   = $spared[$category->id]->total;
	$ticketsCreated = isset($tickets[$category->id]) ? $tickets[$category->id]->total : 0;

	if (!$ticketsCreated)
	{
		$results['saved'][] = 0.0;

		continue;
	}

	$results['saved'][] = round(($ticketsSaved) * 100 / ($ticketsCreated + $ticketsSaved), 2);
}

echo json_encode($results);
