<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */
namespace Akeeba\TicketSystem\Admin\View\Tickets\Html;

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Format;
use Akeeba\TicketSystem\Admin\Helper\Select;
?>
<h3>@lang('COM_ATS_TICKETS_LEGEND_TICKETPARAMS')</h3>

<h4>@sprintf('COM_ATS_TICKETS_HEADING_ID', $this->item->ats_ticket_id)</h4>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_HEADING_TITLE')</label>
    <input type="text" name="title" class="ats-title" value="{{{ $this->item->title }}}" />
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_HEADING_SLUG')</label>
    <input type="text" name="alias" class="ats-slug" value="{{{ $this->item->alias }}}" />
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_HEADING_CATEGORY')</label>
    {{ Select::getCategories($this->item->catid, 'catid') }}
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_HEADING_STATUS')</label>
    {{ Select::ticketstatuses($this->item->status, 'status', array(), 'atsstatus') }}
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_HEADING_PUBLIC')</label>
    {{ Select::publicstate($this->item->public, 'public') }}
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKET_PRIORITY')</label>
    {{ Select::priorities('priority', $this->item->priority) }}
</div>

<?php if (ATS_PRO): ?>
<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_ASSIGN_TO')</label>
    {{ Select::getManagers($this->item->assigned_to, 'assigned_to', array(), $this->item->catid) }}
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_HEADING_BUCKET')</label>
    {{ Select::buckets($this->item->ats_bucket_id) }}
</div>
<?php endif; ?>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_HEADING_ORIGIN')</label>
    @if($this->item->origin)
        @lang('COM_ATS_TICKETS_ORIGIN_'.$this->item->origin)
    @else
        @lang('COM_ATS_TICKETS_ORIGIN_WEB')
    @endif
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_HEADING_CREATED')</label>
    {{ Format::date($this->item->created_on) }}
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_HEADING_MODIFIED')</label>
    @if((empty($item->modified_on)) || ($item->modified_on == '0000-00-00 00:00:00') || ($item->modified_on == $this->getContainer()->db->getNullDate()))
        &mdash;
    @else
    {{ Format::date($this->item->modified_on) }}
    @endif
</div>
