<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Credits;
use Akeeba\TicketSystem\Admin\Helper\Select;

/** @var $this \Akeeba\TicketSystem\Admin\View\Tickets\Html */

$container = $this->getContainer();
$ownerUser = \Akeeba\TicketSystem\Admin\Helper\Permissions::getUser($this->item->created_by);

?>
@jhtml('formbehavior.chosen')

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_USERINFO_USERNAME')</label>
        <a href="index.php?option=com_users&task=user.edit&id={{{ $ownerUser->id }}}" target="_blank">
            <strong>{{{ $ownerUser->username }}}</strong> [{{{ $ownerUser->id }}}]
        </a>
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_COMMON_USER_TAGS')</label>
    {{ \Akeeba\TicketSystem\Admin\Helper\Select::usertags('usertags[]', $this->userTags, ['class' => 'advancedSelect', 'multiple' => 1]) }}
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_USERINFO_NAME')</label>
    {{{ $ownerUser->name }}}
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_USERINFO_EMAIL')</label>
    {{{ $ownerUser->email }}}
</div>

<div class="akeeba-form-group">
    <label>@lang('COM_ATS_TICKETS_USERINFO_CREDITS')</label>
    {{{ Credits::creditsLeft($ownerUser->id, true) }}}
</div>

<?php if($this->hasSubscriptions): ?>
    <div class="akeeba-form-group">
        <label>@lang('COM_ATS_TICKETS_USERINFO_SUBSCRIPTIONS')</label>
        <div>
            @if(count($this->activesubs))
                {{{ implode(', ', $this->activesubs) }}}
            @else
                {{ '&mdash;' }}
            @endif
        </div>
    </div>

    <div class="akeeba-form-group">
        <label>@lang('COM_ATS_TICKETS_USERINFO_SUBSCRIPTIONS_INACTIVE')</label>
        <div>
            @if(count($this->inactivesubs))
                {{{ implode(', ', $this->inactivesubs) }}}
            @else
                {{'&mdash;' }}
            @endif
        </div>
    </div>
<?php endif; ?>

@if (ATS_PRO)
    <div style="text-align: center">
        @if($creditsCharged = Credits::creditsCharged('ticket', $this->item->ats_ticket_id))
            <a href="index.php?option=com_ats&view=Tickets&task=creditsrefund&id={{{ $this->item->ats_ticket_id }}}&@token(true)=1"
               class="akeeba-btn--red">
                <span class="akion-minus"></span>
                @sprintf('COM_ATS_TICKETS_CREDITS_REFUND', $creditsCharged)
            </a>
        @else
            <a href="index.php?option=com_ats&view=Tickets&task=creditscharge&id={{{ $this->item->ats_ticket_id }}}&@token(true)=1"
               class="akeeba-btn--green">
                <span class="akion-plus"></span>
                @sprintf('COM_ATS_TICKETS_CREDITS_CHARGE', Credits::creditsRequired($this->item->catid, true, $this->item->public, $this->item->priority))
            </a>
        @endif
    </div>
@endif
