<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

/** @var \FOF40\View\View $this */
$container = $this->getContainer();

$time_start = date('Y-m-01');
$time_end   = date('Y-m-t', strtotime($time_start));
?>
<div>
	<h3>@lang('COM_ATS_TIMECARDS_USERS')</h3>

    <form class="akeeba-form--inline" onsubmit="return false;">
        <div class="akeeba-container--50-50">
            <div>
                <div class="akeeba-form-group">
                    <label>@lang('COM_ATS_COMMON_FROMDATE')</label>
                    <div>
                        @if (version_compare(JVERSION, '3.999.999', 'lt'))
                            @jhtml('calendar', $time_start, 'time_start', 'time_start')
                        @else
                        <input
                                type="date"
                                pattern="[0-9]{4}-[0-9]{2}-[0-9]{2}"
                                name="time_start"
                                id="time_start"
                                value="{{{ $time_start }}}"
                        >
                        @endif
                    </div>
                </div>

                <div class="akeeba-form-group">
                    <label>@lang('COM_ATS_COMMON_TODATE')</label>
                    @if (version_compare(JVERSION, '3.999.999', 'lt'))
                        @jhtml('calendar', $time_end, 'time_end', 'time_end')
                    @else
                    <input
                            type="date"
                            pattern="[0-9]{4}-[0-9]{2}-[0-9]{2}"
                            name="time_end"
                            id="time_end"
                            value="{{{ $time_end }}}"
                    >
                    @endif
                </div>

                <div class="akeeba-form-group--actions">
                    <button class="akeeba-btn--mini" id="time_graph_reload">
                        @lang('COM_ATS_COMMON_RELOADGRAPHS')
                    </button>
                </div>
            </div>
        </div>
    </form>

    <div id="nodata-warn" class="akeeba-block--warning" style="display: none">
		<strong><em>@lang('COM_ATS_COMMON_NORECORDS')</em></strong>
	</div>

    <div style="padding: 1em; max-width: 800px; max-height: 500px;">
		<canvas id="ats-timecard" style="height: 300px"></canvas>
	</div>

</div>
