<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

use Joomla\CMS\Plugin\CMSPlugin;

if (!defined('FOF40_INCLUDED'))
{
    include_once(JPATH_LIBRARIES . '/fof40/include.php');
}

/**
 * Easy Social avatar integration for Akeeba Engage
 */
class plgAkengageEasyavatar extends CMSPlugin
{
	public function onAkengageAvatar($user, $size = 64)
	{
		if (!file_exists(JPATH_ADMINISTRATOR . '/components/com_easysocial/includes/easysocial.php'))
		{
			return '';
		}

		if (!$user->id)
		{
			return '';
		}

		require_once(JPATH_ADMINISTRATOR . '/components/com_easysocial/includes/easysocial.php');

		$easyUser = ES::user($user->id);
		$avatar = $easyUser->getAvatar();

		return $avatar;
	}
}
