<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use Joomla\CMS\Form\FormField;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

class JFormFieldDicatsel extends FormField
{
	public function getInput()
	{
		$canFetch = JFolder::exists(JPATH_ADMINISTRATOR . '/components/com_docimport');

		$options   = [];
		$options[] = HTMLHelper::_('select.option', '0', Text::_('COM_ATS_CATEGORY_DICATS_MSG_ALL'));

		if ($canFetch)
		{
			$container = FOF40\Container\Container::getInstance('com_ats');
			$db        = $container->db;
			$query     = $db->getQuery(true)
				->select([
					$db->qn('docimport_category_id'),
					$db->qn('title'),
				])
				->from($db->qn('#__docimport_categories'))
				->where($db->qn('enabled') . ' = ' . $db->q(1));

			try
			{
				$results = $db->setQuery($query)->loadObjectList();
			}
			catch (Exception $e)
			{
				$results = [];
			}

			if (!empty($results))
			{
				foreach ($results as $item)
				{
					$options[] = HTMLHelper::_('select.option', $item->docimport_category_id, $item->title);
				}
			}
		}

		return HTMLHelper::_('select.genericlist', $options, $this->name . '[]', 'class="inputbox" multiple="multiple" size="5"', 'value', 'text', $this->value, $this->id);
	}
}
