<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Site\Controller;

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Site\Model\Categories;
use FOF40\Container\Container;
use FOF40\Controller\DataController;

class InstantReply extends DataController
{
	public function __construct(Container $container, array $config = [])
	{
		$config['cacheableTasks'] = [];

		parent::__construct($container, $config);
	}

	protected function onBeforeBrowse()
	{
		// Get category information
		$category_id = $this->input->getInt('catid', 0);
		/** @var Categories $catModel */
		$catModel = $this->container->factory->model('Categories')->tmpInstance();
		$category = $catModel->category($category_id)->get(true)->first();

		if (!$category)
		{
			return false;
		}

		$this->getModel()->setState('catid', $category_id);

		return true;
	}
}
