<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */
namespace Akeeba\TicketSystem\Site\Controller\Mixin;

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Permissions;
use FOF40\Controller\DataController;

trait Caching
{
	/**
	 * Register URL parameters which are used to differentiate between cached pages. If a user is logged in, however,
	 * disable all caching to prevent caching issues. I know it's a cop out but it's the same cop out Joomla! itself
	 * is doing in com_content's ContentController::display() in the front-end. Because why try to reset the cache (and
	 * fail because of the ass-backwards way routing works) when you can simply DISABLE ALL CACHING? HalleJoomla,
	 * #jpositiv and Ave Maria.
	 *
	 * @since  2.3.0
	 */
	protected function registerCacheParams()
	{
		$this->cacheParams = [
			'option'         => 'CMD',
			'view'           => 'CMD',
			'task'           => 'CMD',
			'format'         => 'CMD',
			'layout'         => 'CMD',
			'id'             => 'INT',
			'assignedtome'   => 'BOOL',
			'categories'     => 'ARRAY',
			'filterNewest'   => 'BOOL',
			'frontendfilter' => 'BOOL',
			'alias'          => 'STRING',
			'status'         => 'CMD',
			'catid'          => 'INT',
			'public'         => 'INT',
			'modified_on'    => 'STRING',
			'status_array'   => 'ARRAY',
			'created_by'     => 'INT',
		];

		//
		/** @var  DataController $this */
		if (Permissions::getUser()->id)
		{
			$this->cacheParams    = [];
			$this->cacheableTasks = [];
		}
	}
}
