<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Site\Controller;

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Permissions;
use Akeeba\TicketSystem\Site\Controller\Mixin\Caching;
use Akeeba\TicketSystem\Site\Model\Tickets;
use FOF40\Container\Container;
use FOF40\Controller\DataController;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

class My extends DataController
{
	use Caching;

	public function __construct(Container $container, array $config = [])
	{
		parent::__construct($container, $config);

		$this->modelName = 'Tickets';

		$this->registerCacheParams();
	}

	public function execute($task)
	{
		$task = 'browse';

		return parent::execute($task);
	}

	protected function onBeforeBrowse()
	{
		if (Permissions::getUser()->guest)
		{
			// Not a logged in user, redirect to login page
			$returl = base64_encode(Uri::getInstance()->toString());
			$url    = Route::_('index.php?option=com_users&view=login&return=' . $returl, false);

			$this->container->platform->redirect($url, '307', Text::_('JLIB_APPLICATION_ERROR_ACCESS_FORBIDDEN'));
		}

		/** @var Tickets $model */
		$model           = $this->getModel();
		$model->viewName = $this->viewName;
	}
}
