<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Site\Model;

defined('_JEXEC') or die;

use FOF40\Container\Container;

/**
 * Class AutoReplies
 *
 * We simply expose the backend model to the frontend. Since we're using the BasicFactory, there are no security issues,
 * public visitors can't reach this model
 *
 * @package Akeeba\TicketSystem\Site\Model
 */
class AutoReplies extends \Akeeba\TicketSystem\Admin\Model\AutoReplies
{
	public function __construct(Container $container, array $config)
	{
		$config['tableName'] = '#__ats_autoreplies';
		$config['idFieldName'] = 'ats_autoreply_id';

		parent::__construct($container, $config);
	}

}
