<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Site\View\AssignedTickets;

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Permissions;
use Akeeba\TicketSystem\Site\Model\Tickets;
use Akeeba\TicketSystem\Site\View\PageMetaAware;

class Html extends \FOF40\View\DataView\Html
{
	use PageMetaAware;

	/**
	 * "Status" field filter, empty for no filter (default)
	 *
	 * @var   string
	 * @since 3.0.0
	 */
	public $filterStatus;

	/**
	 * Joomla menu item ID
	 *
	 * @var   int
	 * @since 3.0.0
	 */
	public $itemID;

	/** @var bool Is the current user a manager? */
	protected $isManager = false;

	protected function onBeforeBrowse()
	{
		$container = $this->container;
		$container->template->addJS('media://com_ats/js/Tickets.min.js', true, false, $container->mediaVersion);

		/** @var Tickets $model */
		$model = $this->getModel();

		// Apply custom filters for frontend
		$model->assignedtome(1)
			->enabled(1)
			->filterNewest(1)
			->filter_order_Dir('DESC');

		parent::onBeforeBrowse();

		$this->isManager    = Permissions::isManager();
		$this->itemID       = $this->input->getInt('Itemid', 0);
		$this->filterStatus = $this->getModel()->getState('status', '');

		$this->setPageMeta();
	}
}
