<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Site\View\Categories;

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Site\Model\Categories;
use Akeeba\TicketSystem\Site\View\PageMetaAware;
use Joomla\CMS\Factory;

class Html extends \FOF40\View\DataView\Html
{
	use PageMetaAware;

	/**
	 * @var Categories[]
	 */
	public $items;

	/**
	 * Should I display a page header inside the component's output?
	 *
	 * @var   bool
	 * @since 3.0.0
	 */
	public $showPageHeading;

	protected function onBeforeBrowse()
	{
		parent::onBeforeBrowse();

		$this->showPageHeading = $this->getPageParams()->get('show_page_heading', 1);

		$this->setPageMeta();
	}
}
