<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Site\View\Posts;

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Permissions;
use Akeeba\TicketSystem\Site\Model\Posts;

class Html extends \FOF40\View\DataView\Html
{
    /** @var bool Is the current user manager of the category? */
    protected $isManager = false;

    protected function onBeforeRead()
    {
	    // Push the Joomla user model into the view. In this way we can always reference the same
	    // object (and cache its data) instead of keep creating it and running extra queries
	    $juserModel = $this->container->factory->model('Jusers');
	    $this->setModel('Jusers', $juserModel);

	    parent::onBeforeRead();
    }

	protected function onBeforeEdit()
    {
	    // Push the Joomla user model into the view. In this way we can always reference the same
	    // object (and cache its data) instead of keep creating it and running extra queries
	    $juserModel = $this->container->factory->model('Jusers');
	    $this->setModel('Jusers', $juserModel);

        parent::onBeforeEdit();

        $this->container->platform->importPlugin('ats');

        /** @var Posts $item */
        $item = $this->item;

        $this->isManager = Permissions::isManager($item->ticket->catid);
    }
}
