<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Site\View\Posts;

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Permissions;
use Akeeba\TicketSystem\Site\Model\Posts;
use FOF40\View\DataView\Html;

class Raw extends Html
{
    /** @var  bool  Is the current user a manager? */
    protected $isManager;

    protected function onBeforeRead()
    {
        parent::onBeforeRead();

        /** @var Posts $item */
        $item  = $this->item;
        $catid = $item->ticket->catid;

        $this->isManager = Permissions::isManager($catid);

	    // Push the Joomla user model into the view. In this way we can always reference the same
	    // object (and cache its data) instead of keep creating it and running extra queries
	    $juserModel = $this->container->factory->model('Jusers');
	    $this->setModel('Jusers', $juserModel);
    }
}
