<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

define('AKEEBA_COMMON_WRONGPHP', 1);

$minPHPVersion         = '7.2.0';
$recommendedPHPVersion = '7.4';
$softwareName          = 'Akeeba Ticket System';
$silentResults         = true;

if (!require_once(JPATH_COMPONENT_ADMINISTRATOR . '/tmpl/ErrorPages/wrongphp.php'))
{
	return;
}


/**
 * The following code is a neat trick to help us collect the maximum amount of relevant information when a user
 * encounters an unexpected exception or a PHP fatal error. In both cases we capture the generated Throwable / Exception
 * and render an error page, making sure that the HTTP response code is set to an appropriate value (4xx or 5xx).
 */
try
{
	if (!defined('FOF40_INCLUDED') && !@include_once(JPATH_LIBRARIES . '/fof40/include.php'))
	{
		throw new RuntimeException('This extension requires FOF 4.', 500);
	}

	FOF40\Container\Container::getInstance('com_ats')->dispatcher->dispatch();
}
catch (Throwable $e)
{
	$title = 'Akeeba Ticket System';
	$isPro = defined('ATS_PRO') ? ATS_PRO : is_dir(JPATH_COMPONENT_ADMINISTRATOR . '/View/Buckets');

	if (!(include_once JPATH_COMPONENT_ADMINISTRATOR . '/tmpl/ErrorPages/errorhandler.php'))
	{
		throw $e;
	}
}
