<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

/** @var Akeeba\TicketSystem\Site\View\AssignedTickets\Html $this */

/**
 * This view template renders the list of tickets assigned to the currently logged in manager.
 */

?>
@section('header-modules')
    @modules('ats-top')
    @modules('ats-assignedtickets-top')
@show

@if ($this->getPageParams()->get('show_page_heading', 1))
    <h1>
        @lang('COM_ATS_ASSIGNED_TITLE')
    </h1>
@endif

<div class="ats-buttonbar">
    <div class="pull-right">
        @atsTicketStatusSelect($this->filterStatus, 'filter-status', array('class' => 'form-control'), 'filter-status')
    </div>

    <div class="ats-clear"></div>
</div>

@if(count($this->items))
    <table class="akeeba-table--striped ats-tickets-table">

        @foreach($this->items as $ticket)
            @include('site:com_ats/Tickets/default_ticket', [
                'ticket' 		=> $ticket,
                'showAssigned'  => 0,
                'showStatusDD'  => 1,
                'showCategory'  => 1,
            ])
        @endforeach
    </table>
@else
    @modules('ats-assignedtickets-none-top')
    <p>
        @lang('COM_ATS_ASSIGNED_MSG_NOTICKETS')
    </p>
    @modules('ats-assignedtickets-none-bottom')
@endif

<form id="ats-pagination" name="atspagination" action="@route('index.php?option=com_ats&view=AssignedTicket' . ($this->itemID != 0) ? '&Itemid=' . $this->itemID : '')" method="post">
    <input type="hidden" name="option" value="com_ats" />
    <input type="hidden" name="view" value="AssignedTicket" />
    <input type="hidden" name="status" value="{{ $this->filterStatus }}" id="ats_filter_status" />

    @if(count($this->items))
        <div class="pagination">
            <p class="counter">
                {{ $this->pagination->getPagesCounter() }}
            </p>
            {{ $this->pagination->getPagesLinks() }}
        </div>
    @endif
</form>

@section('footer-modules')
    @modules('ats-assignedtickets-bottom')
    @modules('ats-bottom')
@show
