<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

/** @var Akeeba\TicketSystem\Site\View\Jusers\Html $this */

/**
 * Used to select a user in the New Ticket page, when you're a manager, filing a ticket on behalf of a different user.
 */

?>
@if (version_compare(JVERSION, '3.999.999', 'le'))
	@jhtml('behavior.tooltip')
@endif


<form action="@route('index.php?option=com_ats&view=Jusers')" method="post" name="adminForm" id="adminForm">
    <input type="hidden" name="option" value="com_ats" />
    <input type="hidden" name="view" value="Jusers" />
    <input type="hidden" id="task" name="task" value="browse" />
    <input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
    <input type="hidden" name="boxchecked" id="boxchecked" value="0" />
    <input type="hidden" name="filter_order" id="filter_order" value="{{ $this->lists->order }}" />
    <input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="{{ $this->lists->order_Dir }}" />
    <input type="hidden" name="@token(true)" value="1" />
    <input type="hidden" name="tmpl" value="component" />
    <input type="hidden" name="category" value="{{ $this->input->getInt('category', 0) }}" />

<table id="ats-jusers" class="akeeba-table--striped" style="clear: both;">
	<thead>
		<tr>
			<th width="5">ID</th>
			<th>
				@sortgrid('username', 'COM_ATS_JUSER_USERNAME')
			</th>
			<th>
				@sortgrid('name', 'COM_ATS_JUSER_NAME')
			</th>
			<th>
				@sortgrid('email', 'COM_ATS_JUSER_EMAIL')
			</th>
		</tr>
		<tr>
			<td></td>
			<td colspan="3">
				<input type="text" name="search" id="search"
					   class="atsCommonEventsOnChangeSubmit"
					   value="{{{ $this->getModel()->getState('search','') }}}"
					   placeholder="@lang('COM_ATS_JUSER_USERNAME') / @lang('COM_ATS_JUSER_NAME') / @lang('COM_ATS_JUSER_EMAIL')"
					/>

					<button class="ats-apply akeeba-btn--mini atsCommonEventsOnClickSubmit">
						@lang('COM_ATS_JUSER_FILTER')
					</button>
			</td>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="20">
				<?php if($this->pagination->total > 0) echo $this->pagination->getListFooter() ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
	<?php if(count($this->items)):
		foreach($this->items as $juser) :
			$id = (int)$juser->id;
			$username = $this->escape($juser->username);
			$link = "window.parent.akeeba.ATS.NewTicket.applySelectedUser('$id','$username');";
	?>
	<tr>
		<td>{{ $juser->id }}</td>
		<td><a href="javascript:{{ $link }}">{{{ $juser->username }}}</a></td>
		<td><a href="javascript:{{ $link }}">{{{ $juser->name }}}</a></td>
		<td><a href="javascript:{{ $link }}">{{{ $juser->email }}}</a></td>
	</tr>
	<?php endforeach; ?>
	<?php else: ?>
		<tr>
			<td colspan="20">
				@lang('COM_ATS_COMMON_NORECORDS')
			</td>
		</tr>
	<?php endif; ?>
	</tbody>
</table>
</form>
