<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Editor;
use Akeeba\TicketSystem\Admin\Model\ManagerNotes;

/** @var FOF40\View\DataView\Html $this */

if (!isset($quickreply)) $quickreply = !($this->item instanceof ManagerNotes);
if (!isset($ats_ticket_id)) $ats_ticket_id = isset($this->item->ats_ticket_id) ? $this->item->ats_ticket_id : 0;
if (!isset($ats_managernote_id)) $ats_managernote_id = isset($this->item->ats_managernote_id) ? $this->item->ats_managernote_id : 0;
if (!isset($returnURL)) $returnURL = $this->input->getString('returnurl', null);

$hasNote = isset($this->item) && $this->item instanceof ManagerNotes;
$noteContent = '';

if ($hasNote)
{
	$noteContent = $this->item->note_html;
	$noteContent = empty($noteContent) ? \Akeeba\TicketSystem\Admin\Helper\Bbcode::parseBBCode($this->item->note) : $noteContent;
}
?>
<div class="ats-ticket-replyarea">
    <form action="@route('index.php?option=com_ats&view=ManagerNotes')" method="post" {{ $quickreply ? '' : 'name="adminForm" id="adminForm"' }}>

        <div class="ats-ticket-replyarea-content bbcode">
            @editor('note_html', htmlspecialchars($noteContent, ENT_COMPAT, 'UTF-8'), '95%', 350, 80, 20, false, 'ats-note')
        </div>
        <div class="ats-clear"></div>

        <div class="ats-ticket-replyarea-postbutton">
            <input class="akeeba-btn--primary" type="submit" value="@lang('COM_ATS_MANAGERNOTES_MSG_POST')" />
        </div>

        <input type="hidden" name="option" value="com_ats" />
        <input type="hidden" name="view" value="ManagerNotes" />
        <input type="hidden" name="task" value="save" />
        <input type="hidden" name="ats_ticket_id" value="{{ $ats_ticket_id }}" />
        <input type="hidden" name="ats_managernote_id" value="{{ $ats_managernote_id }}" />
        <input type="hidden" name="@token(true)" value="1" />
        @if(isset($returnURL))
            <input type="hidden" name="returnurl" value="{{ $returnURL }}" />
        @endif
    </form>
</div>
