<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

/**
 * Render the custom fields edit fields
 */

/** @var array[] $customFields */
?>
@if (version_compare(JVERSION, '3.999.999', 'le'))
    @jhtml('behavior.tooltip')
@endif

@foreach($customFields as $field)
    <?php
    $customField_class = '';
    if (array_key_exists('isValid', $field) && $this->input->getInt('formsubmit', 0))
    {
        $customField_class = $field['isValid'] ? (array_key_exists('validLabel', $field) ? '--success' : '') : '--error';
    }
    ?>
    <div class="akeeba-form-group{{ $customField_class }}">
        <label for="{{ $field['id'] }}">
            @unless(empty($field['label']))
                @if (array_key_exists('public', $field) && !$field['public'])
                    <span class="akeeba-label--green--small hasTip" title="@lang('COM_ATS_CUSTOMFIELDS_TIP_PRIVATE')">
                            <span class="akion-eye-disabled"></span>
                        </span>
                @else
                    <span class="akeeba-label--orange--small hasTip" title="@lang('COM_ATS_CUSTOMFIELDS_TIP_PUBLIC')">
                            <span class="akion-ios-eye"></span>
                        </span>
                @endif
                {{ $field['label'] }}
            @endunless
        </label>

        {{ $field['elementHTML'] }}
        @if (array_key_exists('validLabel', $field) && $this->input->getInt('formsubmit', 0))
            <span id="{{ $field['id'] }}_valid" class="help-inline"
                  style="{{ !$field['isValid'] ? 'display: none' : '' }}">
                          {{ $field['validLabel'] }}
                    </span>
        @endif
        @if (array_key_exists('invalidLabel', $field) && $this->input->getInt('formsubmit', 0))
            <span id="{{ $field['id'] }}_invalid" class="help-inline"
                  style="{{ $field['isValid'] ? 'display: none' : '' }}">
                          {{ $field['invalidLabel'] }}
                    </span>
        @endif
    </div>
@endforeach