<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

/** @var Akeeba\TicketSystem\Site\View\Tickets\Html $this */

use Akeeba\TicketSystem\Admin\Helper\Credits;
use Akeeba\TicketSystem\Admin\Helper\Html;

/** @var \Akeeba\TicketSystem\Site\Model\Tickets $ticket */
$ticket    = $this->item;
?>
@css('media://com_ats/css/print.min.css', $this->getContainer()->mediaVersion)

<h1 class="ats-ticket-view-sitename">
	{{{ $this->container->platform->getConfig()->get('sitename') }}}
</h1>

<h2 class="ats-ticket-view-title">
	<span class="ats-ticket-view-title-number">
	#{{{ $this->item->ats_ticket_id }}}
	</span>
	{{{ $this->item->title }}}
</h2>

<h3 class="ats-ticket-view-postedin">
	@sprintf('COM_ATS_TICKET_LBL_POSTEDIN', $this->escape($ticket->joomla_category->title))
</h3>

@if($this->isManager && ATS_PRO )
<div class="ats-ticket-view-stats">
	@sprintf('COM_ATS_TICKET_TIMESPENT_MSG', $this->item->timespent)
	@if ($this->showCredits)
		<br/>@sprintf('COM_ATS_TICKET_TOTALCREDITS_MSG', $this->totalCredits)
	@endif
</div>
@endif

@if($this->item->public)
<div class="ats-newticket-pubnote ats-newticket-pubnote-public">
	@lang('COM_ATS_NEWTICKET_MSG_PUBNOTE_PUBLIC')
</div>
@else
<div class="ats-newticket-pubnote ats-newticket-pubnote-private">
	@lang('COM_ATS_NEWTICKET_MSG_PUBNOTE_PRIVATE')
</div>
@endif

@if( $this->isManager && ($this->item->status == 'C') )
<div class="ats-ticket-closed">
	@lang('COM_ATS_TICKET_MSG_CLOSEDNOTICE_CLOSED_ADMIN')
</div>
@endif

<?php $this->items = $ticket->posts; ?>
@include('site:com_ats/Posts/print')