<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

use FOF40\Container\Container;
use Joomla\CMS\Plugin\CMSPlugin;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\User\User;

/**
 * Gravatar integration for Akeeba Ticket System
 *
 * @author Nicholas Dionysopoulos <nicholas@akeeba.com>
 */
class plgAtsGravatar extends CMSPlugin
{
	public function __construct(&$subject, $config = [])
	{
		if (!defined('FOF40_INCLUDED'))
		{
			include_once(JPATH_LIBRARIES . '/fof40/include.php');
		}

		parent::__construct($subject, $config);
	}


	public function onATSAvatar($user, $size = 64)
	{
		if (is_string($user))
		{
			$email = $user;
		}
		elseif ($user instanceof User)
		{
			$email = $user->email;
		}
		else
		{
			$email = '';
		}

		$md5 = md5($email);

		$container = Container::getInstance('com_ats');
		$isCLI     = $container->platform->isCli();
		$scheme    = $isCLI ? 'http' : Uri::getInstance()->getScheme();
		$url       = 'https://secure.gravatar.com/avatar/' . $md5 . '.jpg?s=' . $size . '&d=mm';

		if ($scheme == 'http')
		{
			$url = 'http://www.gravatar.com/avatar/' . $md5 . '.jpg?s=' . $size . '&d=mm';
		}


		return $url;
	}
}
