/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

if (typeof akeeba == "undefined")
{
    var akeeba = {};
}

if (typeof akeeba.ATS == "undefined")
{
    akeeba.ATS = {};
}

if (typeof akeeba.ATS.CommonEvents == "undefined")
{
    akeeba.ATS.CommonEvents = {};
}

akeeba.ATS.CommonEvents.onEventSubmit = function (event)
{
    var elChangedElement = event.currentTarget;
    var targetString     = akeeba.System.data.get(elChangedElement, "atssubmittarget", "");
    var elTarget         = document.forms.adminForm ? document.forms.adminForm : null;

    if (targetString !== "")
    {
        elTarget = document.getElementById(targetString);
    }

    if (!elTarget)
    {
        return true;
    }

    elTarget.submit();

    event.preventDefault();
    return false;
}

akeeba.ATS.CommonEvents.onClickConfirm = function (event)
{
    var elChangedElement  = event.currentTarget;
    var confirmLangString = akeeba.System.data.get(elChangedElement, "atsconfirmmessage", "");

    if (confirmLangString === "")
    {
        return true;
    }

    var response = confirm(Joomla.Text._(confirmLangString));

    if (response)
    {
        return true;
    }

    event.preventDefault();

    return false;
}

akeeba.Loader.add('akeeba.System', function() {
    akeeba.System.iterateNodes(".atsCommonEventsOnChangeSubmit", function (el)
    {
        akeeba.System.addEventListener(el, "change", akeeba.ATS.CommonEvents.onEventSubmit);
    });

    akeeba.System.iterateNodes(".atsCommonEventsOnClickSubmit", function (el)
    {
        akeeba.System.addEventListener(el, "click", akeeba.ATS.CommonEvents.onEventSubmit);
    });

    akeeba.System.iterateNodes(".atsCommonEventsOnClickConfirm", function (el)
    {
        akeeba.System.addEventListener(el, "click", akeeba.ATS.CommonEvents.onClickConfirm);
    });
})
