/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

if (typeof (akeeba) === "undefined")
{
    var akeeba = {};
}

if (typeof (akeeba.ATS) === "undefined")
{
    akeeba.ATS = {};
}

if (typeof (akeeba.ATS.Emoji) === "undefined")
{
    akeeba.ATS.Emoji = {
        waitTimer: null
    };
}

akeeba.ATS.Emoji.waitForTwemoji = function(callback)
{
    if (typeof callback != "function")
    {
        return;
    }

    akeeba.ATS.Emoji.waitTimer = setInterval(function () {
        if (typeof window.twemoji != 'object')
        {
            return;
        }

        clearInterval(akeeba.ATS.Emoji.waitTimer);

        callback();
    });
}

akeeba.Loader.add(['akeeba.System', 'twemoji'], function () {
    var processCallback = function () {
        akeeba.System.iterateNodes('.akeeba-renderer-fef', function (item) {
            twemoji.parse(item);
        });
    }

    akeeba.ATS.Emoji.waitForTwemoji(processCallback);
});