/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

if (typeof akeeba == "undefined")
{
    var akeeba = {};
}

if (typeof akeeba.ATS == "undefined")
{
    akeeba.ATS = {};
}

if (typeof akeeba.ATS.TicketOverlays == "undefined")
{
    akeeba.ATS.TicketOverlays = {
        modal: null
    };
}

akeeba.ATS.TicketOverlays.autoShow = function ()
{
    var elOverlay = document.getElementById("ats-replyarea-overlay-modal");

    if (!elOverlay)
    {
        return;
    }

    akeeba.ATS.TicketOverlays.modal = akeeba.Modal.open({
        inherit: "#ats-replyarea-overlay-modal",
        width:   "80%",
        height:  "75%"
    })
};

akeeba.Loader.add(['akeeba.System', 'akeeba.Modal'], function ()
{
    if (!Joomla.getOptions("ats.TicketOverlays.autoShow", false))
    {
        return;
    }

    setTimeout(akeeba.ATS.TicketOverlays.autoShow, 500);

    akeeba.System.iterateNodes('.atsTicketsOverlayClose', function (elAnchor) {
        akeeba.System.addEventListener(elAnchor, 'click', function ()
        {
            if (akeeba.ATS.TicketOverlays.modal)
            {
                akeeba.ATS.TicketOverlays.modal.close();

                akeeba.ATS.TicketOverlays.modal = null;
            }
        })
    })
});