<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Permissions;
use Joomla\CMS\Helper\ModuleHelper;

if (!defined('FOF40_INCLUDED') && !@include_once(JPATH_LIBRARIES . '/fof40/include.php'))
{
	return;
}

// Let's load the container so our autoloader gets registered
$container = FOF40\Container\Container::getInstance('com_ats');

$user = Permissions::getUser();

if($user->guest)
{
	echo '&nbsp;';
	return;
}

/** @var \Akeeba\TicketSystem\Site\Model\Tickets $ticketsModel */
$ticketsModel = $container->factory->model('Tickets')->tmpInstance();
$ticketsModel
	->created_by($user->id)
	->enabled(1);

$allTickets     = $ticketsModel->count();
$pendingTickets = $ticketsModel->reset()->status('P')->count();
$closedTickets  = $ticketsModel->reset()->status('C')->count();
$openTickets    = $allTickets - ($pendingTickets + $closedTickets);

require ModuleHelper::getLayoutPath('mod_atstickets', $params->get('layout', 'default'));
