<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Credits;
use Akeeba\TicketSystem\Admin\Helper\Permissions;
use FOF40\Container\Container;
use Joomla\CMS\Language\Text;

// Default credits text for users who are not logged in.
$creditsText = '&nbsp;';

$container = Container::getInstance('com_ats');

if (!Permissions::getUser()->guest)
{
	// Get the available credits for the user
	$credits = Credits::creditsLeft(Permissions::getUser()->id, true);

	// The credits text to show for logged in users. Uses the MOD_ATSCREDITS_CREDITS language string.
	$creditsText = Text::sprintf('MOD_ATSCREDITS_CREDITS', $credits);
}
?>

<div class="atsUserCredits">
	<?php echo $creditsText ?>
</div>

