<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Permissions;
use FOF40\Container\Container;
use Joomla\CMS\Language\Text;

// Default support time text for users who are not logged in.
$timeText = '&nbsp;';

$container = Container::getInstance('com_ats');

if (!Permissions::getUser()->guest)
{
	// Get the total time spent supporting the user
	$time = \Akeeba\TicketSystem\Admin\Helper\Html::getTimeSpentPerUser(Permissions::getUser()->id);

	// The support time text to show for logged in users. Uses the MOD_ATSCREDITS_TIME language string.
	$timeText = Text::sprintf('MOD_ATSCREDITS_TIME', $time);
}
?>

<div class="atsUserSupportTime">
	<?php echo $timeText ?>
</div>

